Subject: [Megaco] Subtracting all terminations in all contexts

From: "Sudhir Kumar Appana" <[email-masked]>
Date: Wed, 10 Apr 2002 21:22:13 +0530

Hi,

From the RFC 3015, section 7.2.3 (Subtract), it was given that
"ALL may be used as the ContextID as well as the TerminationId in a
Subtract, which would have the effect of deleting all contexts,
deleting all ephemeral terminations, and returning all physical
terminations to Null context. Subtract of termination from the
NULL context is not allowed."

I have doubt regarding this. Can MGC send the following request packet
to MG:

Transaction = 1 {
   Context = * {     ; ALL Context Id
      Subtract = *   ; ALL Termination Id
      }
}

I want to Subtract the corresponding ADDed Terminations from the
corresponding created Contexts. Is the above packet correct.

Consider for example, two terminations TermA and TermB are ADDed in a
context 22.
To subtract both terminations from that context, Can MGC send following
packet:

Transaction = 1 {
   Context = 22

      Subtract = *   ; ALL Termination Id
      }
}

In the above packet, what could '*' indicates. Whether it indicates all the
terminations
that are present in the context 22 or all the terminations in the whole
Gateway.
From the RFC, it was given that "Subtract of termination from the
NULL context is not allowed".

In the above packet, I have given ALL Termination Id to subtract TermA and
TermB.
Is that OK.

Please reply back.

Thanks & Regards,
Sudhir

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco

---

From: "Tom-PT Taylor"<[email-masked]>
Date: Wed, 10 Apr 2002 12:11:44 -0400

These operations look OK to me.  Don't let the busines of the NULL context
distract you: ALL does not include the NULL context, so you are not
violating anything if you set context to ALL in your subtraction.

-----Original Message-----
From: Sudhir Kumar Appana [mailto:[email-masked]]
Sent: Wednesday, April 10, 2002 11:52 AM
To: [email-masked]
Cc: Sudhir (E-mail)
Subject: [Megaco] Subtracting all terminations in all contexts

Hi,

Transaction = 1 {

Transaction = 1 {
   Context = 22

Please reply back.

Thanks & Regards,
Sudhir

---

From: "Tom-PT Taylor"<[email-masked]>
Date: Wed, 10 Apr 2002 12:11:44 -0400

-----Original Message-----
From: Sudhir Kumar Appana [mailto:[email-masked]]
Sent: Wednesday, April 10, 2002 11:52 AM
To: [email-masked]
Cc: Sudhir (E-mail)
Subject: [Megaco] Subtracting all terminations in all contexts

Hi,

Transaction = 1 {

Transaction = 1 {
   Context = 22

Please reply back.

Thanks & Regards,
Sudhir

---

From: "Kevin Boyle"<[email-masked]>
Date: Wed, 10 Apr 2002 12:50:30 -0400

Other than missing the brackets for the subtract command your assertions
below are correct.  This message:

T=1{C=*{S=*{}}}

means subtract all terminations from all contexts, and this message:

T=1{C=22{S=*{}}}

means subtract all terminations from context 22.

Note that the first message above will return an error if all the
terminations in the MG are in the NULL context.

Kevin

-----Original Message-----
From: Sudhir Kumar Appana [mailto:[email-masked]]
Sent: Wednesday, April 10, 2002 11:52 AM
To: [email-masked]
Cc: Sudhir (E-mail)
Subject: [Megaco] Subtracting all terminations in all contexts

Hi,

Transaction = 1 {

Transaction = 1 {
   Context = 22

Please reply back.

Thanks & Regards,
Sudhir

---

From: "Kevin Boyle"<[email-masked]>
Date: Wed, 10 Apr 2002 12:50:30 -0400

T=1{C=*{S=*{}}}

T=1{C=22{S=*{}}}

Kevin

-----Original Message-----
From: Sudhir Kumar Appana [mailto:[email-masked]]
Sent: Wednesday, April 10, 2002 11:52 AM
To: [email-masked]
Cc: Sudhir (E-mail)
Subject: [Megaco] Subtracting all terminations in all contexts

Hi,

Transaction = 1 {

Transaction = 1 {
   Context = 22

Please reply back.

Thanks & Regards,
Sudhir